Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041060
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-06-10 15:202019-06-17 12:12
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision6efd74bcb00b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041060: incorrect CSS minification: elements are incorrectly case lowered

DescriptionWhen CSS are minified (modules not in development), there are some mismatches due to incorrect capitalization.
Steps To ReproduceHaving the following CSS:

.testGridContainer {
    grid-template-areas: "obUiMultiColumn-left-leftToolbar obUiMultiColumn-right-rightToolbar";

}

.testGridElement {
    grid-area: obUiMultiColumn-left-leftToolbar;
}


It gets minified to:

.testGridContainer {
    grid-template-areas: "obUiMultiColumn-left-leftToolbar obUiMultiColumn-right-rightToolbar"

}

.testGridElement {
    grid-area: obuimulticolumn-left-lefttoolbar
}


Note grid-area value has been lower cased whereas grid-template-areas has preserved case, making it not to match.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041068 closedalostale incorrect CSS minification: repeated parameters are removed 

-  Notes
(0112553)
guilleaer (developer)
2019-06-10 17:34

I detected one case which is quite similar, also related with a css grid property

    grid-template-columns: 1fr 1fr 1fr;

Is converted by minifier to

    grid-template-columns: 1fr;

I have worked around the problem using repeat function which works fine

    grid-template-columns: repeat(3,1fr);
(0112570)
alostale (developer)
2019-06-11 10:47

The latest case reported a different issue 0041068
(0112571)
hgbot (developer)
2019-06-11 10:56

Repository: erp/devel/pi
Changeset: 6efd74bcb00be75d8b2566bf6b2f9c00924b839a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jun 11 10:43:46 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6efd74bcb00be75d8b2566bf6b2f9c00924b839a [^]

fixed bug 41060: CSS minification: elements are incorrectly case lowered

  Do not lower case elements as it can cause mismatches.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/CSSMinimizer.java
M src-test/src/org/openbravo/test/AllAntTaskTests.java
A src-test/src/org/openbravo/client/kernel/CSSMinifier.java
---
(0112580)
hudsonbot (developer)
2019-06-11 15:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/26c6f3135279 [^]
Maturity status: Test
(0112812)
caristu (developer)
2019-06-17 12:12

Reviewed + tested OK.

- Issue History
Date Modified Username Field Change
2019-06-10 15:20 alostale New Issue
2019-06-10 15:20 alostale Assigned To => platform
2019-06-10 15:20 alostale Modules => Core
2019-06-10 15:20 alostale Triggers an Emergency Pack => No
2019-06-10 17:34 guilleaer Note Added: 0112553
2019-06-11 10:43 alostale Summary incorrect CSS minification => incorrect CSS minification: elements are incorrectly case lowered
2019-06-11 10:46 alostale Relationship added related to 0041068
2019-06-11 10:46 alostale Assigned To platform => alostale
2019-06-11 10:46 alostale Review Assigned To => caristu
2019-06-11 10:47 alostale Note Added: 0112570
2019-06-11 10:56 hgbot Checkin
2019-06-11 10:56 hgbot Note Added: 0112571
2019-06-11 10:56 hgbot Status new => resolved
2019-06-11 10:56 hgbot Resolution open => fixed
2019-06-11 10:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6efd74bcb00be75d8b2566bf6b2f9c00924b839a [^]
2019-06-11 15:26 hudsonbot Checkin
2019-06-11 15:26 hudsonbot Note Added: 0112580
2019-06-17 12:12 caristu Note Added: 0112812
2019-06-17 12:12 caristu Status resolved => closed
2019-06-17 12:12 caristu Fixed in Version => 3.0PR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker